<script type="text/javascript">	
$(document).ready(function(){
	cari_tgl();
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#txt_tglawal").val(data.tanggal);
				$("#txt_tglakhir").val(data.tanggal);
			}
		});
	}

    $('#form_cari_kasir').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
		
	$('#kasir').keyup(function(){
	    var kodecab=$("#t_kodecab").val();
	    var cari   =$("#txt_carikasir").val();
	    
		$('#form_cari_kasir').dialog('open');
		$("#info_kasir").load('modul/report/tampil_data_kasir.php?kodecab='+kodecab+'&cari='+cari);
		$("#txt_carikasir").focus();
	});
	
	$('#kasir').click(function(){
	    var kodecab=$("#t_kodecab").val();
	    var cari   =$("#txt_carikasir").val();
	    
		$('#form_cari_kasir').dialog('open');
		$("#info_kasir").load('modul/report/tampil_data_kasir.php?kodecab='+kodecab+'&cari='+cari);
		$("#txt_carikasir").focus();
	});
	
	$("#txt_carikasir").keyup(function(){
	    var kodecab = $("#t_kodecab").val();
		var cari    = $("#txt_carikasir").val();
		
		$.ajax({
			type	: "GET",
			url	    : "modul/report/tampil_data_kasir.php",
			data	: "cari="+cari+
			        "&kodecab="+kodecab,
			success	: function(data){
				$("#info_kasir").html(data);
			}
		});
	});
	
	$("#cari_data").click(function(){
		var tglawal = $("#txt_tglawal").val();
		var tglakhir= $("#txt_tglakhir").val();
		var user    = $("#kasir").val();
		var kodecab = $("#t_kodecab").val();
		var jamawal = $("#t_jamawal").val();
		var jamakhir= $("#t_jamakhir").val();
		
		if(user.length==0){
			alert('Maaf, Kolom kasir masih kosong.');
			$("#kasir").focus();
			return false;
		}
		
		if(!(jamawal=='')){
		    if(jamakhir==''){
		        alert('Maaf, jam akhir masih kosong.');
		        $("#t_jamakhir").focus();
		        return(false);
		    }
		}
		
		if(!(tglakhir==tglawal)){
		    if(jamawal==''){
		        alert('Maaf, tanggal akhir tidak sama dengan tanggal awal, jam shift awal harus diisi.');
		        $("#t_jamawal").focus();
		        return(false);
		    }
		    if(jamakhir==''){
		        alert('Maaf, tanggal akhir tidak sama dengan tanggal awal, jam shift akhir harus diisi.');
		        $("#t_jamakhir").focus();
		        return(false);
		    }
		}
		$("#data_detail").load('modul/report/tampil_lapkasir.php?tglawal='+tglawal+'&tglakhir='+tglakhir+'&user='+user+'&jamawal='+jamawal+'&jamakhir='+jamakhir+'&kodecab='+kodecab);
	});
	
	$("#cetak").click(function(){
		var tglawal = $("#txt_tglawal").val();
		var tglakhir= $("#txt_tglakhir").val();
		var user    = $("#kasir").val();
		var kodecab = $("#t_kodecab").val();
		var jamawal = $("#t_jamawal").val();
		var jamakhir= $("#t_jamakhir").val();
		
		if(user.length==0){
			alert('Maaf, Kolom kasir masih kosong.');
			$("#kasir").focus();
			return false;
		}
		
		if(!(jamawal=='')){
		    if(jamakhir==''){
		        alert('Maaf, jam akhir masih kosong.');
		        $("#t_jamakhir").focus();
		        return(false);
		    }
		}
		
		if(!(tglakhir==tglawal)){
		    if(jamawal==''){
		        alert('Maaf, tanggal akhir tidak sama dengan tanggal awal, jam shift awal harus diisi.');
		        $("#t_jamawal").focus();
		        return(false);
		    }
		    if(jamakhir==''){
		        alert('Maaf, tanggal akhir tidak sama dengan tanggal awal, jam shift akhir harus diisi.');
		        $("#t_jamakhir").focus();
		        return(false);
		    }
		}
		
		window.location.href='modul/laporan/lap_kasir.php?tglawal='+tglawal+'&tglakhir='+tglakhir+'&user='+user+'&jamawal='+jamawal+'&jamakhir='+jamakhir+'&kodecab='+kodecab;
	});
	
	$("#tutup").click(function(){
		document.location='?module=home';
	});
});
</script>
<style type="text/css">
#info {
	font-size:12px;
	font-weight:bold;
	color:#F00;
}
</style>

<?php
include '../../inc/inc.koneksi.php';
	
echo "<div id='form' align='center'>
	<table align='center'>
		<tr>
			<td style='font-size:16px'><b>LAPORAN KASIR</b></td>
		</tr>
	</table>

	<fieldset>
		<legend style='font-size:14px'>Filter Data </legend>
		<table width='100%'>
			<tr>
				<td style='font-size:14px'>Cabang : <select id='t_kodecab'>";
				        $sql=mysql_query("SELECT * FROM cabang WHERE 1 ORDER BY kode_cab");
				        while($r=mysql_fetch_array($sql)){
				            $kodecab=$r['kode_cab'];
				            echo "<option value='$kodecab'>$r[nama_cab]</option>";
				        }
			        echo "</select>
		        </td>
				<td style='font-size:14px'>Kasir : <input type id='kasir' class='input_header' size='20'></td>
				<td style='font-size:14px'>Tanggal Shift : <input type='date' id='txt_tglawal' size='10'> S.D <input type='date' id='txt_tglakhir' size='10'></td>
				<td style='font-size:14px'>Jam : <input type='time' id='t_jamawal' size='10'> S.D <input type='time' id='t_jamakhir' size='10'></td>
				<td align='right'>
					<button id='cari_data' style='font-size:14px'>Cari Data</button>	
					<button id='cetak' style='font-size:14px'>Cetak</button>
					<button id='tutup' style='font-size:14px'>Tutup</button>
				</td>
			</tr>
		</table>
	</fieldset>
	</div>";
	
echo "<div id='data_detail' align='center'></div>";

echo "<div id='form_cari_kasir' title='Pencarian Data Kasir'>
		<table>
			<tr>
				<td>Cari nama : <input type='text' id='txt_carikasir' size='40'></td>
			</tr>
		</table>
		<div id='info_kasir' align='center' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>
	</div>";
?>
